TechDraw ProjectionGroup/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "==Utilisation==")
(Created page with "# Sélectionnez un ou plusieurs objets "Corps" et/ou "Part" dans la fenêtre 3D ou dans l'arborescence . # Si vous avez plusieurs pages de dessin dans votre document, vous dev...")
Line 30: Line 30:
==Utilisation==
==Utilisation==


# Sélectionnez un ou plusieurs objets "Corps" et/ou "Part" dans la fenêtre 3D ou dans l'arborescence .
# Select one or more ''Body'' and/or ''Part'' objects in the 3D window or tree. If you have multiple drawing pages in your document, you will also need to select the desired page in the tree.
# Si vous avez plusieurs pages de dessin dans votre document, vous devrez également sélectionner la page désirée dans l'arborescence.
# Press the {{Button|[[Image:TechDraw_ProjectionGroup.svg|16px]] [[TechDraw_ProjectionGroup|Insert Projection Group]]}} button.
# Appuyez sur le bouton {{Button|[[Image:TechDraw_ProjectionGroup.svg|16px]] [[TechDraw_ProjectionGroup/fr|Insert Projection Group]]}}.
# A dialog will open in which you can select which views should appear in the group, the group's scale and other parameters:
# Une boîte de dialogue s'ouvre dans laquelle vous pouvez sélectionner les vues qui doivent apparaître dans le groupe, l'échelle du groupe et d'autres paramètres.
[[File:TaskProjGroup.png]]
[[File:TaskProjGroup.png]]
{{Caption|Projection Group [[task_panel|task panel]]. The central field indicates the current view direction with percentages of the x, y and z-axes.}}
{{Caption|Projection Group [[task_panel|task panel]]. The central field indicates the current view direction with percentages of the x, y and z-axes.}}

Revision as of 09:43, 9 April 2020

TechDraw Projection de groupe

Emplacement du menu
TechDraw → Insert Projection Group
Ateliers
TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
TechDraw Vue active, TechDraw Vue de coupe

Description

L'outil Projection de groupe crée une projection multi-vue d'un ou plusieurs objets 3D. Les vues isométriques des 4 coins de devant peuvent également être incluses.

Si vous ne voulez produire qu'une seule vue, l'utilisation de Projection de groupe ne présente aucun avantage. Vous devez alors utiliser Insérer une vue dans la page à la place. Si vous ne souhaitez pas utiliser la traditionnelle premier-/en troisième-angle de projection, vous devez utiliser plusieurs Vues (Insérer une vue dans la page) au lieu de Projection de groupe.

Trois vues orthogonales et une vue isométrique d'un objet solide

Utilisation

  1. Sélectionnez un ou plusieurs objets "Corps" et/ou "Part" dans la fenêtre 3D ou dans l'arborescence .
  2. Si vous avez plusieurs pages de dessin dans votre document, vous devrez également sélectionner la page désirée dans l'arborescence.
  3. Appuyez sur le bouton Insert Projection Group.
  4. Une boîte de dialogue s'ouvre dans laquelle vous pouvez sélectionner les vues qui doivent apparaître dans le groupe, l'échelle du groupe et d'autres paramètres.

Projection Group task panel. The central field indicates the current view direction with percentages of the x, y and z-axes.

After you created the Projection Group you can move the group as a whole by dragging the central view. You can also move the projection views by dragging.

Properties

  • DonnéesAnchor: The central view in the group. Normally the Front view.
  • DonnéesProjectionType: "First Angle" or Third Angle".
  • DonnéesAutoDistribute: If true, space out individual views automatically. Use false to position manually.
  • DonnéesspacingX: Horizontal space between views when automatically positioned. Note that Scale and the size of other views in the group also influence the spacing.
  • DonnéesspacingY: Vertical space between views when automatically positioned.

The ProjectionGroup as a whole inherits X, Y, ScaleType, Scale and Rotation from the basic View.

Individual Views within the group inherit all part view properties, but the ProjectionGroup object controls the scale of all its member Views.

The RotationVector property of individual Views within the group is deprecated as of v0.19. Use XDirection instead.

Note that the central box displays the current projection direction of the primary view. It cannot be used to change the direction.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The NewProjGroup tool can be used in macros and from the Python console. A full script is available in the Source distribution in "source-dir/src/Mod/TechDraw/TDTest/DProjGroupTest.py".

#make a page
    print("making a page")
    page = FreeCAD.ActiveDocument.addObject('TechDraw::DrawPage','Page')
    FreeCAD.ActiveDocument.addObject('TechDraw::DrawSVGTemplate','Template')
    FreeCAD.ActiveDocument.Template.Template = templateFileSpec
    FreeCAD.ActiveDocument.Page.Template = FreeCAD.ActiveDocument.Template

    #make projection group
    group = FreeCAD.ActiveDocument.addObject('TechDraw::DrawProjGroup','ProjGroup')
    rc = page.addView(group)
    group.Source = [fusion]

    #add Front(Anchor) view
    frontView = group.addProjection("Front")               ##need an Anchor

    #update group
    group.Anchor.Direction = FreeCAD.Vector(0,0,1)
    group.Anchor.RotationVector = FreeCAD.Vector(1,0,0)

    #add more projections
    leftView = group.addProjection("Left")
    topView = group.addProjection("Top")
    rightView = group.addProjection("Right")
    rearView = group.addProjection("Rear")
    BottomView = group.addProjection("Bottom")

    #remove a view from projection group
    iv = group.removeProjection("Left")

Programming note: The Projection Group should always be added to the Page (ex. page.addView(group) before adding projections to the Group. This allows the Projection Group to use default parameter values derived from the parent page.